CustomAttributesControllerGetAllCustomAttributesForTenant Method |
GET /CustomAttributes/Tenant/{id}
Gets all of the custom attributes in the system for the tenant.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpGetAttribute]
[ActionNameAttribute("Tenant")]
public HttpResponseMessage GetAllCustomAttributesForTenant(
Guid id,
Nullable<Guid> sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("Tenant")>
Public Function GetAllCustomAttributesForTenant (
id As Guid,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpGetAttribute]
[ActionNameAttribute(L"Tenant")]
HttpResponseMessage^ GetAllCustomAttributesForTenant(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("Tenant")>]
member GetAllCustomAttributesForTenant :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The tenant ID. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
HttpResponseMessageA list of
CustomAttributeInfoListItemData objects, or a status code indicating the problem.
See Also